Class UmlBaseDeploymentView

Declaration :

- C++ : class UmlBaseDeploymentView : public UmlItem
- Java : abstract class UmlBaseDeploymentView extends UmlItem

Directly inherited by : UmlDeploymentView

Manage the deployment views

Artifact : UmlBaseDeploymentView

Operation create

Declaration :

- C++ : public: static UmlDeploymentView * create(UmlPackage * parent, const char * s)
- Java : public static UmlDeploymentView create(UmlPackage parent, String s) throws RuntimeException

returns a new deployment view named 's' created under 'parent'
In case it cannot be created (the name is already used or
invalid, 'parent' cannot contain it etc ...) return 0 in C++
and produce a RuntimeException in Java

Operation kind

Declaration :

- C++ : public: virtual anItemKind kind()
- Java : public anItemKind kind()

returns the kind of the item

Operation UmlBaseDeploymentView

Declaration :

- C++ : protected: UmlBaseDeploymentView(void * id, const QCString & n) : UmlItem(id, n)
- Java : protected UmlBaseDeploymentView(long id, String n)

the constructor, do not call it yourself !!!!!!!!!!

All public operations : apply , children , childrenVisible , create , defined_ , description , identifier_ , isMarked , isToolRunning , isWritable , kind , kind , markedItems , moveAfter , name , parent , properties , propertyValue , referencedBy , set_childrenVisible , set_Description , set_isMarked , set_Name , set_PropertyValue , set_Stereotype , stereotype , supportFile , unload